package com.ruoyi.ibs.app.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.ibs.app.domain.QywxOrg;
import com.ruoyi.ibs.app.util.JsonResult;


/**
 * 企业微信客户经理服务
 *
 * @author 600477
 * @date 2023/11/15
 */
public interface QYWeiXinManagerInfoService  {

    /**
     * 获取企业用户关联客户经理信息
     *
     * @param code 企业微信授权码
     *
     * @return
     */
    AjaxResult getQYWeiXinUserInfo(String code,String orgId);

    AjaxResult getLogin(String userName);

    QywxOrg getQyApi(String orgId);

    QywxOrg getQyApi2(String orgId);
}
